BIGAL Posted February 24, 2022 Posted February 24, 2022 (edited) Ok I have programmed Intellicad before and sometimes a tiny change in the code syntax is required. I found this 2009 can you confirm VL is supported IntelliCAD doesn't have any AutoLISP editor or debugger. However, as long as your code doesn't have any of the Visual LISP functions (vl-, vla- or vlax-), it should work in IntelliCAD. Try this pick an object should see properties, else may give an error if so post message. ;;;===================================================================; ;;; DumpIt ; ;;;-------------------------------------------------------------------; ;;; Dump all methods and properties for selected objects ; ;;;===================================================================; (defun C:Dumpit ( / ent) (while (setq ent (entsel)) (vlax-Dump-Object (vlax-Ename->Vla-Object (car ent)) ) ) (princ) ) Edited February 24, 2022 by BIGAL Quote
romparkin Posted February 25, 2022 Author Posted February 25, 2022 Command: C:DUMPIT Select entity: HI, I run the lisp but after I select entity I have no error or other info Thanks Romeo Quote
BIGAL Posted February 27, 2022 Posted February 27, 2022 (edited) Ok a further test really need to know that VL-lisp is supported so copy this line to command line and pick a object. (setq obj (vlax-ename->vla-object (car (entsel "Pick obj")))) eg pick a line #<VLA-OBJECT IAcadLine 000001e15b3001a8> Tested again with code from here in case something got lost in paste to forum. Edited February 27, 2022 by BIGAL Quote
romparkin Posted February 27, 2022 Author Posted February 27, 2022 7 hours ago, BIGAL said: Ok a further test really need to know that VL-lisp is supported so copy this line to command line and pick a object. (setq obj (vlax-ename->vla-object (car (entsel "Pick obj")))) eg pick a line #<VLA-OBJECT IAcadLine 000001e15b3001a8> Tested again with code from here in case something got lost in paste to forum. Hi BIGAL I run the command, it prompts to pick an object, I select the line, and returns nothing After that if I press Enter to run last command, it runs the Line command that was used before to draw some lines for the test Command: (setq obj (vlax-ename->vla-object (car (entsel "Pick obj")))) Pick obj Command: _LINE So must be Intellicad issue Quote
BIGAL Posted February 27, 2022 Posted February 27, 2022 (edited) It is sounding very much like VL lisp is not supported, problem is VL lisp has so many functions that people use. You need to contact your supplier and ask the question is Visual Lisp supported, I tried googling and could not find a clear answer for Intellicad. As a last minute test (vl-load-com) then (setq obj (vlax-ename->vla-object (car (entsel "Pick obj")))) Edited February 27, 2022 by BIGAL Quote
romparkin Posted February 28, 2022 Author Posted February 28, 2022 HI BIGAL Command: (vl-load-com) Command: (setq obj (vlax-ename->vla-object (car (entsel "Pick obj")))) Pick obj #<VLA-OBJECT: 393bc750> Now as you see after pick object I get this in command line Thanks Romeo Quote
BIGAL Posted March 1, 2022 Posted March 1, 2022 My code has the (vl-loa-com) so thats ok, now the hard part we need to find where the code is failing. ok 1st check add this line program will bomb out if no selection set. (setq lst '()) (if (= ss nil)(progn (alert "selection set not working")(exit))) ; new line (repeat (setq x (sslength ss)) Quote
romparkin Posted March 2, 2022 Author Posted March 2, 2022 On 3/1/2022 at 4:02 AM, BIGAL said: My code has the (vl-loa-com) so thats ok, now the hard part we need to find where the code is failing. ok 1st check add this line program will bomb out if no selection set. (setq lst '()) (if (= ss nil)(progn (alert "selection set not working")(exit))) ; new line (repeat (setq x (sslength ss)) HI BIGAL I don't know where to add the last codes, but to save your time, I think we should leave it. Obviously Intellicad is not working with all the AutoCAD Auto lisp , Visual lisp commands, and try to debug this it's a pain. I'm happy with the text merge lisp we managed to make, and copy paste this to Excel/Calc speeds up my process. Thanks a lot for your time and efforts Regards Romeo Quote
BIGAL Posted March 3, 2022 Posted March 3, 2022 Post your test dwg if its different than the one you posted earlier. Quote
romparkin Posted March 3, 2022 Author Posted March 3, 2022 6 hours ago, BIGAL said: Post your test dwg if its different than the one you posted earlier. Hi BIGAL the test file is the same as the last one I have sent you Thanks Romeo Quote
BIGAL Posted March 10, 2022 Posted March 10, 2022 Ok sounds like your not understanding what it is asking for re your sample dwg. The code looks for blocks named beton if these dont exist it will not work. So pick a point for the table 1 click When asked select all the dwg all the blocks and the pline using say a window select multi goes is ok Zoom in and pick the pline make sure get pline needs a multi zoom in using mouse Enter the chainage A table should appear. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.